DELETE r 
FROM   t_Project_ProjectRevisionValue r
WHERE  EXISTS(SELECT * FROM t_Project_ProjectRevisionValue x WHERE x.ProjectRevisionRef = r.ProjectRevisionRef And x.FieldRef = r.FieldRef and x.PrimKey <> r.PrimKey) AND
             r.[Timestamp] <> (SELECT MAX([Timestamp]) FROM t_Project_ProjectRevisionValue z WHERE z.ProjectRevisionRef = r.ProjectRevisionRef And z.FieldRef = r.FieldRef) 
GO

CREATE UNIQUE NONCLUSTERED INDEX LK_t_Project_ProjectRevisionValue ON dbo.t_Project_ProjectRevisionValue
       (
       ProjectRevisionRef,
       FieldRef
       ) WITH( STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

DELETE r 
FROM   t_Project_ExpMhrsValue r
WHERE  EXISTS(SELECT * FROM t_Project_ExpMhrsValue x WHERE x.ExpMhrsRef = r.ExpMhrsRef And x.FieldRef = r.FieldRef and x.PrimKey <> r.PrimKey) AND
             r.[Timestamp] <> (SELECT MAX([Timestamp]) FROM t_Project_ExpMhrsValue z WHERE z.ExpMhrsRef = r.ExpMhrsRef And z.FieldRef = r.FieldRef) 
GO

CREATE UNIQUE NONCLUSTERED INDEX LK_t_Project_ExpMhrsValue ON dbo.t_Project_ExpMhrsValue
       (
       ExpMhrsRef,
       FieldRef
       ) WITH( STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

DELETE r 
FROM   t_Project_OrganizationUnitValue r
WHERE  EXISTS(SELECT * FROM t_Project_OrganizationUnitValue x WHERE x.OrganizationUnitRef = r.OrganizationUnitRef And x.FieldRef = r.FieldRef and x.PrimKey <> r.PrimKey) AND
             r.[Timestamp] <> (SELECT MAX([Timestamp]) FROM t_Project_OrganizationUnitValue z WHERE z.OrganizationUnitRef = r.OrganizationUnitRef And z.FieldRef = r.FieldRef) 
GO

CREATE UNIQUE NONCLUSTERED INDEX LK_t_Project_OrganizationUnitValue ON dbo.t_Project_OrganizationUnitValue
       (
       OrganizationUnitRef,
       FieldRef
       ) WITH( STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

DELETE r 
FROM   t_Project_PersonValue r
WHERE  EXISTS(SELECT * FROM t_Project_PersonValue x WHERE x.PersonRef = r.PersonRef And x.FieldRef = r.FieldRef and x.PrimKey <> r.PrimKey) AND
             r.[Timestamp] <> (SELECT MAX([Timestamp]) FROM t_Project_PersonValue z WHERE z.PersonRef = r.PersonRef And z.FieldRef = r.FieldRef) 
GO

CREATE UNIQUE NONCLUSTERED INDEX LK_t_Project_PersonValue ON dbo.t_Project_PersonValue
       (
       PersonRef,
       FieldRef
       ) WITH( STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
