
--- Collect "Default Calendar" (given by DefaultCalendarRef column in table t_Project_ApplicationSetup)
Declare @DefaultCalendarRef uniqueidentifier
Select @DefaultCalendarRef = DefaultCalendarRef From t_Project_ApplicationSetup

--- Update CalendarRef if NULL; set CalendarRef equal to "Default Calender"
Update t_MPP_ProjectPosition Set CalendarRef = @DefaultCalendarRef Where CalendarRef IS NULL

--- Set CalendarRef column mandatory (not nullable) in table t_MPP_ProjectPosition
ALTER TABLE t_MPP_ProjectPosition ALTER COLUMN CalendarRef uniqueidentifier NOT NULL
