

Alter Table t_Project_Project Drop Column ImportID
Alter Table t_Staging_Project Drop Column ProjectCode
Alter Table t_MPP_PositionType Add ImportID nvarchar(100)
Alter Table t_MPP_OrganizationUnitPositionType Add ImportID nvarchar(100)
GO

ALTER VIEW [dbo].[v_MPP_PositionType]
AS
SELECT * FROM [t_MPP_PositionType] with (nolock)

GO

ALTER VIEW [dbo].[v_MPP_OrganizationUnitPositionType]
AS
SELECT * FROM [t_MPP_OrganizationUnitPositionType] with (nolock)

GO

ALTER VIEW [dbo].[v_Project_Project]
AS
SELECT * FROM [t_Project_Project] with (nolock)

WHERE (
IS_MEMBER('db_Owner')=1 OR 
EXISTS
(
    SELECT * 
    FROM t_Security_DataAccess da with (nolock) 
    WHERE (da.DataGroup = 'Project')
    AND da.Role IN (SELECT name FROM vc_Security_MyRoles)
    AND da.AccessBits & 1 = 1

    AND (ISNULL(ProjectCode,'') LIKE da.Pattern)

)
)

GO

ALTER VIEW [dbo].[v_Staging_Project]
AS
SELECT * FROM [t_Staging_Project] with (nolock)

GO


