insert into [t_Project_PersonAvailabilityExceptionType]([Index], Title, ApprovalNeeded, VisibleForInput, AffectAvailability)
select Distinct 0, ExceptionType, 0, 1, 1
from [t_Project_PersonAvailabilityException] t
where not exists (
	select * from [t_Project_PersonAvailabilityExceptionType] where Title = t.ExceptionType
)
and isnull(ExceptionType,'') <> ''
go

update e
set AvailabilityExceptionTypeRef = t.PrimKey
from [t_Project_PersonAvailabilityException] e
	join [t_Project_PersonAvailabilityExceptionType] t on e.ExceptionType = t.Title
where AvailabilityExceptionTypeRef is null
go

